org.eclipse.incquery.runtime.rete.single

## Class SingleInputNode

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.network.StandardNode
    - - org.eclipse.incquery.runtime.rete.single.SingleInputNode

- All Implemented Interfaces:
    Node, Receiver, Supplier, Tunnel
  Direct Known Subclasses:
    AbstractEvaluatorNode, FilterNode, RemoteReceiver, RemoteSupplier, TransformerNode, TransitiveClosureNode, TransparentNode

      public abstract class SingleInputNode
      extends StandardNode
      implements Tunnel

  Author:
    Gabor Bergmann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleInputNode(ReteContainer reteContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendParent(Supplier supplier)` appends a parent that will continously send insert and revoke updates to this supplier
    `void` | `assignTraceInfo(TraceInfo traceInfo)` assigns new traceability info to this node
    `java.util.Collection<Supplier>` | `getParents()` access active parent
    `void` | `propagatePullInto(java.util.Collection<Tuple> collector)` To be called by derived classes and ReteContainer.
    `void` | `removeParent(Supplier supplier)` removes a parent

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.StandardNode

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Supplier

      `appendChild, constructIndex, getPulledContents, getReceivers, pullInto, removeChild`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Receiver

      `update`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### SingleInputNode

          public SingleInputNode(ReteContainer reteContainer)

  - ### Method Detail

    - #### appendParent

          public void appendParent(Supplier supplier)

      Description copied from interface: `Receiver`
      appends a parent that will continously send insert and revoke updates to this supplier
      Specified by:
        `appendParent` in interface `Receiver`

    - #### removeParent

          public void removeParent(Supplier supplier)

      Description copied from interface: `Receiver`
      removes a parent
      Specified by:
        `removeParent` in interface `Receiver`

    - #### propagatePullInto

          public void propagatePullInto(java.util.Collection<Tuple> collector)

      To be called by derived classes and ReteContainer.

    - #### getParents

          public java.util.Collection<Supplier> getParents()

      Description copied from interface: `Receiver`
      access active parent
      Specified by:
        `getParents` in interface `Receiver`

    - #### assignTraceInfo

          public void assignTraceInfo(TraceInfo traceInfo)

      Description copied from interface: `Node`
      assigns new traceability info to this node
      Specified by:
        `assignTraceInfo` in interface `Node`
      Overrides:
        `assignTraceInfo` in class `BaseNode`